Loading...
Searching...
No Matches
libdar::compress_block_header Struct Reference
Private

block header structure used for storing compressed blocks More...

`#include <compress_block_header.hpp>`

## Public Member Functions

void | dump (generic_file &f)
bool | set_from (generic_file &f)
| read the block header from a generic_file (an archive)

## Public Attributes

char | type
| let the possibility to extend this architecture (for now type is fixed)
infinint | size
| size of the following compressed block of data

## Static Public Attributes

static constexpr const char | H_DATA = 1
static constexpr const char | H_EOF = 2

## Detailed Description

block header structure used for storing compressed blocks

Definition at line 42 of file compress_block_header.hpp.

## Member Function Documentation

## set_from()

bool libdar::compress_block_header::set_from | ( | generic_file & | f | ) |

read the block header from a generic_file (an archive)

Returns
  true of a whole block header could be read. False is returned only if no data could be read at all (eof) else an exception is thrown

## Member Data Documentation

## H_DATA

const char libdar::compress_block_header::H_DATA = 1

static constexpr

Definition at line 45 of file compress_block_header.hpp.

## H_EOF

const char libdar::compress_block_header::H_EOF = 2

static constexpr

Definition at line 46 of file compress_block_header.hpp.

## size

infinint libdar::compress_block_header::size

size of the following compressed block of data

Definition at line 51 of file compress_block_header.hpp.

## type

char libdar::compress_block_header::type

let the possibility to extend this architecture (for now type is fixed)

Definition at line 50 of file compress_block_header.hpp.

The documentation for this struct was generated from the following file:

- compress_block_header.hpp